<?xml version="1.0" encoding="utf-8"?>
<!DOCTYPE	message SYSTEM "Message.dtd">
<miracle>
	<version>1.0.12.0</version>
	<message>
		<service name="miracleexlauncher">
			<messagelist>
				<messageinfo name="setgamestringtolauncher" requirereturn="true" destination="miracleexlauncher">
					<property name="gamestring" type="string"/>
					<property name="returnvalue" type="dword" transfer="return"/>
				</messageinfo>
				<messageinfo name="setgameid" requirereturn="true" destination="miracleexlauncher">
					<property name="gameid" type="string"/>
					<property name="returnvalue" type="dword" transfer="return"/>
				</messageinfo>
				<messageinfo name="startlauncher" requirereturn="false" destination="miracleexlauncher">
					<property name="gamestring" type="string"/>
				</messageinfo>
				<messageinfo name="startlauncherfromgameid" requirereturn="false" destination="miracleexlauncher">
					<property name="gameid" type="string"/>
				</messageinfo>
				<messageinfo name="exlauncherstep" requirereturn="false" destination="all">
					<property name="step" type="string"/>
					<property name="gameid" type="string"/>
				</messageinfo>
				<messageinfo name="downloadprogress" requirereturn="false" destination="all">
					<property name="totalsize" type="dword"/>
					<property name="size" type="dword"/>
					<property name="resttime" type="dword"/>
					<property name="speed" type="dword"/>
					<property name="rate" type="dword"/>
				</messageinfo>
				<messageinfo name="progressinfo" requirereturn="false" destination="all">
					<property name="name" type="string"/>
					<property name="text" type="string"/>
				</messageinfo>
				<messageinfo name="executexcommand" requirereturn="false" destination="miracleexlauncher">
					<property name="xcommand" type="string"/>
				</messageinfo>
				<messageinfo name="executexcommandsync" requirereturn="true" destination="miracleexlauncher">
					<property name="xcommand" type="string"/>
					<property name="returnvalue" type="int" transfer="return"/>
				</messageinfo>
				<messageinfo name="executexcommandsyncstring" requirereturn="true" destination="miracleexlauncher">
					<property name="xcommand" type="string"/>
					<property name="returnvalue" type="string" transfer="return"/>
				</messageinfo>
				<messageinfo name="getinstalledgamelist" requirereturn="true" destination="miracleexlauncher">
					<property name="gamelist" type="string" transfer="return"/>
				</messageinfo>
				<messageinfo name="isplayedgame" requirereturn="true" destination="miracleexlauncher">
					<property name="gameid" type="string" />
					<property name="isplayedgame" type="int" transfer="return"/>
				</messageinfo>
				<messageinfo name="isplayinggame" requirereturn="true" destination="miracleexlauncher">
					<property name="gameid" type="string" />
					<property name="isplayinggame" type="int" transfer="return"/>
				</messageinfo>
				<messageinfo name="isfirstplay" requirereturn="true" destination="miracleexlauncher">
					<property name="gameid" type="string" />
					<property name="isfirstplay" type="int" transfer="return"/>
				</messageinfo>
				<messageinfo name="setdownloadbase" requirereturn="true" destination="miracleexlauncher">
					<property name="path" type="string" />
				</messageinfo>
				<messageinfo name="getdownloadbase" requirereturn="true" destination="miracleexlauncher">
					<property name="path" type="string" transfer="return" />
				</messageinfo>
				<messageinfo name="setp2p" requirereturn="true" destination="miracleexlauncher">
					<property name="p2p" type="string" />
				</messageinfo>
				<messageinfo name="getp2p" requirereturn="true" destination="miracleexlauncher">
					<property name="p2p" type="string" transfer="return" />
				</messageinfo>
				<messageinfo name="getplayorder" requirereturn="true" destination="miracleexlauncher">
					<property name="playorder" type="string" transfer="return" />
				</messageinfo>
				<messageinfo name="error" requirereturn="false" destination="all">
					<property name="errorcode" type="dword"/>exlauncherdebugger
					<property name="errorstring" type="string"/>
				</messageinfo>
				<messageinfo name="cancellauncher" requirereturn="false" destination="miracleexlauncher">
				</messageinfo>
				<messageinfo name="setgameinfo" requirereturn="true" destination="miracleexlauncher">
					<property name="gameid" type="string" />
					<property name="key" type="string" />
					<property name="value" type="string" />
				</messageinfo>
				<messageinfo name="getgameinfo" requirereturn="true" destination="miracleexlauncher">
					<property name="gameid" type="string" />
					<property name="key" type="string" />
					<property name="value" type="string" transfer="return" />
				</messageinfo>
				
				
				<messageinfo name="getgameinfo" requirereturn="true" destination="miracleexlauncher" secure="true">
					<property name="gameid" type="string" />
					<property name="gametype" type="int" transfer="return" />
					<property name="gamename" type="string" transfer="return" />
					<property name="urlgateway" type="string" transfer="return" />
					<property name="useauth" type="int" transfer="return" />
					<property name="wathcprocesstype" type="int" transfer="return" />
					<property name="wathcprocesswindowname" type="string" transfer="return" />
					<property name="wathcprocesswindowaction" type="int" transfer="return" />
					<property name="autostart" type="int" transfer="return" />
					<property name="p2p" type="int" transfer="return" />
					<property name="cdnlimit" type="dword" transfer="return" />
					<property name="uploadlimit" type="dword" transfer="return" />
					<property name="isonlycdn" type="int" transfer="return" />
					<property name="installexecutable" type="string" transfer="return" />
					<property name="gamefolder" type="string" transfer="return" />
					<property name="gamefile" type="string" transfer="return" />
					<property name="gamestring" type="string" transfer="return" />
					<property name="registrycheckfolder" type="string" transfer="return" />
					<property name="registrycheckfile" type="string" transfer="return" />
					<property name="executeaguement" type="string" transfer="return" />
					<property name="returnvalue" type="dword" transfer="return" />
				</messageinfo>
				
				<messageinfo name="getlauncherinfo" requirereturn="true" destination="miracleexlauncher">
					<property name="version" type="string" transfer="return"/>
					<property name="launchertype" type="int" transfer="return"/>
					<property name="currentgameid" type="string" transfer="return"/>
					<property name="userid" type="string" transfer="return"/>
					<property name="pl2url" type="string" transfer="return"/>
					<property name="firstloadweburl" type="string" transfer="return"/>
					<property name="servicecode" type="dword" transfer="return"/>
					<property name="rpchandle1" type="dword" transfer="return"/>
					<property name="rpchandle2" type="dword" transfer="return"/>
					<property name="launcherfolder" type="string" transfer="return"/>
					<property name="downloadbase" type="string" transfer="return"/>
					<property name="loadedgamelist" type="string" transfer="return"/>
					<property name="returnvalue" type="dword" transfer="return" />
				</messageinfo>
				
				<messageinfo name="stateinstall" requirereturn="false" destination="all">
					<property name="state" type="int"/>
					<property name="gameid" type="string"/>
				</messageinfo>
				<messageinfo name="stateplaying" requirereturn="false" destination="all">
					<property name="state" type="int"/>
					<property name="gameid" type="string"/>
				</messageinfo>
				<messageinfo name="statestop" requirereturn="false" destination="all">
					<property name="state" type="int"/>
				</messageinfo>
				
				<messageinfo name="getlauncherstate" requirereturn="true" destination="miracleexlauncher">
					<property name="type" type="string" />
					<property name="state" type="int" transfer="return" />
				</messageinfo>
				
			</messagelist>
		</service>
	</message>
</miracle>	
